# Class CIM_UnsignedPublicKey
extends CIM_Credential

A CIM_UnsignedPublicKey represents an unsigned public key credential. Services accept the public key as authentic because of a direct trust relationship, rather than via a third-party Certificate Authority.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_UnsignedPublicKey

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_UnsignedCredential
Description | string | A CIM_UnsignedPublicKey represents an unsigned public key credential. Services accept the public key as authentic because of a direct trust relationship, rather than via a third-party Certificate Authority.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.16.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PeerIdentity | string |
Deprecated | string | CIM_UnsignedCredential.PeerIdentity
Description | string | The Identity of the Peer with whom a direct trust relationship exists. The public key may be used for security functions with the Peer.
Key | boolean | true
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_UnsignedPublicKey.PeerIdentityType
PeerIdentityType | uint16 |
Deprecated | string | CIM_UnsignedCredential.PeerIdentityType
Description | string | PeerIdentityType is used to describe the type of the PeerIdentity. The currently defined values are used for IKE identities.
ModelCorrespondence | string | CIM_UnsignedPublicKey.PeerIdentity
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | Other, IPV4_ADDR, FQDN, USER_FQDN, IPV4_ADDR_SUBNET, IPV6_ADDR, IPV6_ADDR_SUBNET, IPV4_ADDR_RANGE, IPV6_ADDR_RANGE, DER_ASN1_DN, DER_ASN1_GN, KEY_ID
ServiceCreationClassName | string |
Deprecated | string | CIM_UnsignedCredential.InstanceID
Description | string | The scoping Service's CCN.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_PublicKeyManagementService.CreationClassName
ServiceName | string |
Deprecated | string | CIM_UnsignedCredential.InstanceID
Description | string | The scoping Service's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_PublicKeyManagementService.Name
SystemCreationClassName | string |
Deprecated | string | CIM_UnsignedCredential.InstanceID
Description | string | The scoping System's CCN.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_PublicKeyManagementService.SystemCreationClassName
SystemName | string |
Deprecated | string | CIM_UnsignedCredential.InstanceID
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_PublicKeyManagementService.SystemName
PublicKey | uint8[] |
Deprecated | string | CIM_UnsignedCredential.PublicKey
Description | string | The DER-encoded raw public key.
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
InstanceID | string | CIM_ManagedElement
Issued | datetime | CIM_Credential

## Class Methods